# eric6.Plugins.VcsPlugins.vcsGit.GitTagBranchListDialog

Module implementing a dialog to show a list of tags or branches.

### Global Attributes

None

### Classes

GitTagBranchListDialog | Class implementing a dialog to show a list of tags or branches.

### Functions

None

## GitTagBranchListDialog

Class implementing a dialog to show a list of tags or branches.

### Derived from

QDialog, Ui_GitTagBranchListDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitTagBranchListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tag item in the tag list.
__getCommit | Private method to get the commit id for a tag.
__procFinished | Private slot connected to the finished signal.
__processOutputLine | Private method to process the lines of output.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the git process.
start | Public slot to start the tag/branch list command.

### Static Methods

None

#### GitTagBranchListDialog (Constructor)

GitTagBranchListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### GitTagBranchListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitTagBranchListDialog.__generateItem

__generateItem(commit, name, msg="", bold=False, italic=False)

Private method to generate a tag item in the tag list.

commit
  commit id of the tag/branch (string)
name
  name of the tag/branch (string)
msg
  tag annotation message
bold
  flag indicating to show the entry in bold (boolean)
italic
  flag indicating to show the entry in italic (boolean)

#### GitTagBranchListDialog.__getCommit

__getCommit(tag)

Private method to get the commit id for a tag.

tag
  tag name (string)

Returns:
  commit id shortened to 10 characters (string)

#### GitTagBranchListDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitTagBranchListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### GitTagBranchListDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### GitTagBranchListDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### GitTagBranchListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### GitTagBranchListDialog.__resort

__resort()

Private method to resort the tree.

#### GitTagBranchListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### GitTagBranchListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitTagBranchListDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitTagBranchListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitTagBranchListDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitTagBranchListDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### GitTagBranchListDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitTagBranchListDialog.start

start(path, tags, listAll=True, merged=True)

Public slot to start the tag/branch list command.

path
  name of directory to be listed (string)
tags
  flag indicating a list of tags is requested (False = branches, True = tags)
listAll
  flag indicating to show all tags or branches (boolean)
merged
  flag indicating to show only merged or non-merged branches (boolean)

Up